"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Utterance = (function () {
    function Utterance(name, intent, appId) {
        this.name = name;
        this.intent = intent;
        this.appId = appId;
        this.selected = false;
        this.entityLabels = [];
    }
    return Utterance;
}());
exports.Utterance = Utterance;
var UtteranceData = (function () {
    function UtteranceData(vcc, appId, intentId, audioId, section, part, speaker, anchorOffset, focusOffset, currentTime, endCurrentTime, utteranceId, textContent, createdDate, createdByUserId, lastModifiedDate, lastModifiedByUserId) {
        this.vcc = vcc;
        this.appId = appId;
        this.intentId = intentId;
        this.audioId = audioId;
        this.section = section;
        this.part = part;
        this.speaker = speaker;
        this.anchorOffset = anchorOffset;
        this.focusOffset = focusOffset;
        this.currentTime = currentTime;
        this.endCurrentTime = endCurrentTime;
        this.utteranceId = utteranceId;
        this.textContent = textContent;
        this.createdDate = createdDate;
        this.createdByUserId = createdByUserId;
        this.lastModifiedDate = lastModifiedDate;
        this.lastModifiedByUserId = lastModifiedByUserId;
        this.selected = false;
    }
    return UtteranceData;
}());
exports.UtteranceData = UtteranceData;
